Package com.ads.mm.etl.xml.mapping

# Class MMMapping

java.lang.Object
com.ads.mm.etl.xml.mapping.MMUUID
com.ads.mm.etl.xml.mapping.MMMapping

public class MMMapping extends MMUUID

Author:
  Syed Abdul Rahim

- ## Field Summary

  ### Fields inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `_associatedIDs, _associatedUUIDs, uniqueName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMMapping(MMMappingUtil mmmUtil)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addKeyValue(String key, String val)`
  `void`
  `clubSourceSystems(boolean mode)`
  `void`
  `clubSourceSystemsForDataStage(boolean mode)`
  `void`
  `fillOrphanTransformations()`
  `MMDBColumn`
  `findColumnInPool(MMSystemMap.Type mapType, String systemName, String environmentName, String tableName, String columnName)`
  `MMDBColumn`
  `findColumnInPool(MMSystemMap.Type mapType, String systemName, String environmentName, String tableName, String columnName, String tblXpath, String colXPath)`
  `MMDBColumn`
  `findColumnInPool(String systemName, String environmentName, String tableName, String columnName)`
  `MMDBColumn`
  `findColumnInPool(String systemName, String environmentName, String tableName, String columnName, String tblXpath, String colXPath)`
  `HashMap<String,String>`
  `getKeyValues()`
  `String`
  `getMappindId()`
  `String`
  `getMappingId()`
  `MMMappingInfo`
  `getMappingInfo()`
  `MMMappingUtil`
  `getMappingUtil()`
  `int`
  `getPreservedId(int index)`
  To Preserve Ids which fall under Global Mapping Scope It will check, if it exist and returns that else will create a new unique id and stores and returns that
  `MMSystemMap`
  `getSourceSystems()`
  `MMSystemMap`
  `getSupportSystems()`
  `MMSystemMap`
  `getTargetSystems()`
  `MMMappingTransformationMap`
  `getTransformations()`
  `Object`
  `getUserData()`
  `boolean`
  `isUseSQLExtractQuery()`
  `void`
  `removeKeyValue(String key)`
  `void`
  `setKeyValues(HashMap<String,String> hmKV)`
  `void`
  `setMappingInfo(MMMappingInfo mappingInfo)`
  `void`
  `setMappingUtil(MMMappingUtil mappingUtil)`
  `void`
  `setTransformations(MMMappingTransformationMap transformations)`
  `void`
  `setUserData(Object userData)`
  `void`
  `setUseSQLExtractQuery(boolean useSQLExtractQuery)`
  `String`
  `toString()`
  `String`
  `toStringTransformations()`

  ### Methods inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `addAssociatedCrossID, addAssociatedID, addAssociatedUUID, getAssociatedCrossID, getAssociatedID, getAssociatedUUID, getUniqueName, getUUID, setAssociatedIDCount, setUniqueName, setUUID`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MMMapping

    public MMMapping(MMMappingUtil mmmUtil)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMappindId

    public String getMappindId()

  - ### getMappingId

    public String getMappingId()

  - ### getMappingInfo

    public MMMappingInfo getMappingInfo()
    Returns:
      the _mappingInfo

  - ### setMappingInfo

    public void setMappingInfo(MMMappingInfo mappingInfo)
    Parameters:
      `mappingInfo` - the _mappingInfo to set

  - ### getSourceSystems

    public MMSystemMap getSourceSystems()
    Returns:
      the mappingUtil.getSourceSystems()

  - ### getTargetSystems

    public MMSystemMap getTargetSystems()
    Returns:
      the _targetSystems

  - ### getTransformations

    public MMMappingTransformationMap getTransformations()
    Returns:
      the _transformations

  - ### setTransformations

    public void setTransformations(MMMappingTransformationMap transformations)
    Parameters:
      `transformations` - the _transformations to set

  - ### getMappingUtil

    public MMMappingUtil getMappingUtil()
    Returns:
      the mappingUtil

  - ### setMappingUtil

    public void setMappingUtil(MMMappingUtil mappingUtil)
    Parameters:
      `mappingUtil` - the mappingUtil to set

  - ### getPreservedId

    public int getPreservedId(int index)
    To Preserve Ids which fall under Global Mapping Scope It will check, if it exist and returns that else will create a new unique id and stores and returns that
    Parameters:
      `index` -
    Returns:
      int

  - ### fillOrphanTransformations

    public void fillOrphanTransformations() throws Exception
    Throws:
      `Exception`

  - ### clubSourceSystems

    public void clubSourceSystems(boolean mode)

  - ### clubSourceSystemsForDataStage

    public void clubSourceSystemsForDataStage(boolean mode)

  - ### isUseSQLExtractQuery

    public boolean isUseSQLExtractQuery()

  - ### setUseSQLExtractQuery

    public void setUseSQLExtractQuery(boolean useSQLExtractQuery)

  - ### getUserData

    public Object getUserData()
    Returns:
      the userData

  - ### setUserData

    public void setUserData(Object userData)
    Parameters:
      `userData` - the userData to set

  - ### getSupportSystems

    public MMSystemMap getSupportSystems()
    Returns:
      the _supportSystems

  - ### findColumnInPool

    public MMDBColumn findColumnInPool(String systemName, String environmentName, String tableName, String columnName)

  - ### findColumnInPool

    public MMDBColumn findColumnInPool(String systemName, String environmentName, String tableName, String columnName, String tblXpath, String colXPath)

  - ### findColumnInPool

    public MMDBColumn findColumnInPool(MMSystemMap.Type mapType, String systemName, String environmentName, String tableName, String columnName)

  - ### findColumnInPool

    public MMDBColumn findColumnInPool(MMSystemMap.Type mapType, String systemName, String environmentName, String tableName, String columnName, String tblXpath, String colXPath)

  - ### toStringTransformations

    public String toStringTransformations()

  - ### setKeyValues

    public void setKeyValues(HashMap<String,String> hmKV)

  - ### getKeyValues

    public HashMap<String,String> getKeyValues()

  - ### addKeyValue

    public void addKeyValue(String key, String val)

  - ### removeKeyValue

    public void removeKeyValue(String key)